%global tarName speaklater

Name:           python-%{tarName}
Version:        1.3
Release:        %mkrel 12
Summary:        Implements a lazy string for python useful for use with gettext
Group:          Development/Python
License:        BSD
URL:            https://pypi.org/project/speaklater/
Source0:        http://pypi.python.org/packages/source/s/%{tarName}/%{tarName}-%{version}.tar.gz
# Submitted upstream at: https://github.com/mitsuhiko/speaklater/pull/8
# Alternative approach at https://github.com/mitsuhiko/speaklater/pull/3
Patch0:         0001-Enable-building-on-python3-along-with-changes-to-doc.patch

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
A module that provides lazy strings for translations. Basically you get an
object that appears to be a string but changes the value every time the value
is evaluated based on a callable you provide.

%package -n python3-speaklater
Summary: Implements a lazy string for python3 useful for gettext
Group:   Development/Python

%description -n python3-speaklater
A module that provides lazy strings for translations. Basically you get an
object that appears to be a string but changes the value every time the value
is evaluated based on a callable you provide.

This package provides the python3 version of the module.

%prep
%setup -qn %{tarName}-%{version}
%autopatch -p1

%build
%py3_build

%install
%py3_install

%check
pushd build/lib
%{__python3} -m doctest speaklater.py
popd

%files -n python3-speaklater
%{python3_sitelib}/speaklater*
%{python3_sitelib}/__pycache__/*
%license LICENSE
%doc PKG-INFO README


%changelog
* Sun Feb 16 2020 umeabot <umeabot> 1.3-12.mga8
+ Revision: 1534128
- Mageia 8 Mass Rebuild

* Fri Sep 27 2019 daviddavid <daviddavid> 1.3-11.mga8
+ Revision: 1447462
- rebuild for python3.8
- drop python2 support

* Thu Jan 10 2019 shlomif <shlomif> 1.3-10.mga7
+ Revision: 1354404
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.3-9.mga7
+ Revision: 1290151
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 1.3-8.mga7
+ Revision: 1135647
- Rebuild for python 3.6

* Sat May 28 2016 ngompa <ngompa> 1.3-7.mga6
+ Revision: 1019116
- imported package python-speaklater


* Sat May 28 2016 Neal Gompa <ngompa13@gmail.com> - 1.3-7
- Port to Mageia

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jan  6 2016 Toshio Kuratomi <toshio@fedoraproject.org> - 1.3-5
- Add python3 subpackage
- Enable tests

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Apr 11 2013 Luke Macken <lmacken@redhat.com> - 1.3-1
- Update to 1.3
- Add the README and LICENSE

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sat Jan 01 2011 Juan Eduardo Barba Olivet <xhaksx@fedoraproject.org> - 1.2-4
- install commands modified
- files commands modified

* Wed Dec 29 2010 Juan Eduardo Barba Olivet <xhaksx@fedoraproject.org> - 1.2-3
- Modifed documentation (get text changed to get-text)

* Mon Nov 15 2010 Juan Eduardo Barba Olivet <xhaksx@fedoraproject.org> - 1.2-2
- Modifed documentation (gettext changed)

* Mon Nov 15 2010 Juan Eduardo Barba Olivet <xhaksx@fedoraproject.org> - 1.2-1
- This is the first release of speaklater
- Added documentation
